<form *ngIf="author !== undefined">
  <div class="mx-auto" style="width: fit-content; width: -moz-fit-content">
    <div class="form-group">
      <label class="form-label" for="firstName">Prénom: </label>
      <input #firstName class="form-control" id="firstName" type="text" value="{{author.firstName}}">
    </div>
    <div class="form-group">
      <label class="form-label" for="lastName">Nom: </label>
      <input #lastName class="form-control" id="lastName" type="text" value="{{author.lastName}}">
    </div>
  </div>
  <div class="d-flex mx-auto mt-3" style="width: fit-content; width: -moz-fit-content">
    <button class="btn btn-outline-primary" *ngIf="id === undefined" (click)="create(firstName.value, lastName.value)">
      Créer
    </button>
    <button class="btn btn-outline-primary" *ngIf="id !== undefined" (click)="update(firstName.value, lastName.value)">
      Mettre à jour
    </button>
    <button class="btn btn-outline-secondary" (click)="goBack()">Annuler</button>
  </div>
</form>
